> ## Documentation Index
> Fetch the complete documentation index at: https://docs.jurichat.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Listar áreas jurídicas

> Lista as áreas jurídicas do escritório.



## OpenAPI

````yaml https://api.jurichat.com/docs/client/openapi.json get /legal-areas/
openapi: 3.1.0
info:
  title: JuriChat API — Documentação para Integradores
  description: ''
  version: 1.0.0
servers:
  - url: https://api.jurichat.com
    description: Production server
security:
  - apiKeyAuth: []
tags: []
paths:
  /legal-areas/:
    get:
      tags:
        - Legal Areas
      summary: Listar áreas jurídicas
      description: Lista as áreas jurídicas do escritório.
      responses:
        '200':
          description: Default Response
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    id:
                      type: string
                      description: ID da área jurídica.
                    name:
                      type: string
                      description: Nome da área jurídica.
                    color:
                      type: string
                      description: Cor da área jurídica.
                    officeId:
                      type: string
                      nullable: true
                      description: ID do escritório. Null se for área padrão.
                    createdAt:
                      type: string
                      format: date-time
                      description: Data e hora de criação.
                    updatedAt:
                      type: string
                      format: date-time
                      description: Data e hora da última atualização.
                  required:
                    - id
                    - name
                    - color
                    - officeId
                    - createdAt
                    - updatedAt
                  additionalProperties: false
        '404':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                  statusCode:
                    type: number
                  code:
                    type: string
                  details:
                    anyOf:
                      - type: string
                      - type: number
                      - type: boolean
                      - type: object
                        properties: {}
                        additionalProperties: true
                    description: Detalhes adicionais do erro.
                required:
                  - message
                  - statusCode
                additionalProperties: false
      security:
        - apiKeyAuth: []
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-jurichat-api-key
      description: >-
        Chave de API do escritório (criada no painel). Envie o valor no header
        x-jurichat-api-key.

````